Portfolio Manager/Organization Owned History
Download ownership history
GET
/external /secure /api /v2 /portfolio /organization /download /owned /reports /historyRequest
Query parameters
assetTypeIdstring<uuid>ID of asset type to query. Required if assetGroupId is not provided.
assetGroupIdstring<uuid>ID of asset group to filter with. Required if assetTypeId is not provided.
reportDatestring<date>Inclusive trade-date cutoff. Format yyyy-mm-dd
entityIdstring<uuid>ID of entity within the organization to limit history to
Headers
apikeystringProvided key used to access the application's api
Responses
200CSV of loan-level ownership history for one or all entities in the organization
Returns the file as text/plain.
Response
Returns the file itself (text/plain).
GET
/external /secure /api /v2 /portfolio /organization /download /owned /reports /historyResponse
Returns the file itself (text/plain).